UUIDD(8)

BEZEICHNUNG
uuidd - UUID-Erzeugungs-Daemon

ÜBERSICHT

uuidd [Optionen]

BESCHREIBUNG

Der uuidd-Daemon wird von der UUID-Bibliothek zum Erzeugen von »Universally Unique Identifiers« (UUIDs) verwendet, insbesondere zeitbasierter UUIDs, und zwar auf eine sichere und garantiert eindeutige Art, selbst im Hinblick auf große Anzahlen laufender Threads auf verschiedenen CPUs, die versuchen, UUIDs zu erhalten.

OPTIONEN

-C, --cont-clock[=Zeit]
    aktiviert die fortlaufende Berücksichtigung der Uhr für zeitbasierte UUIDs. uuidd könnte alle möglichen Uhrenwerte verwenden, beginnend mit der Startzeit des Daemons. Mit dem optionalen Argument können Sie einen Wert für max_clock_offset festlegen. Dadurch wird garantiert, dass ein Uhrenwert einer UUID stets innerhalb des Bereichs von max_clock_offset liegen wird.

    Die Option -C oder --cont-clock aktiviert das Funktionsmerkmal mit einem vorgegebenen max_clock_offset von 2 Stunden.

    Die Option -C<ZAHL>[hd] oder --cont-clock=<ZAHL>[hd] aktiviert das Funktionsmerkmal mit einem max_clock_offset von der angegebenen ANZAHL Sekunden. Wenn Sie ein h oder d anhängen, wird die ANZAHL Stunden oder Tagen gelesen. Der Minimalwert ist 60 Sekunden, der Maximalwert 365 Tage.

-d, --debug
    führt uuidd im Fehlersuchmodus aus. Das verhindert, dass uuidd als Daemon ausgeführt wird.

-F, --no-fork
    daemonisiert nicht (über einen Doppel-Fork).

-k, --kill
    tötet einen laufenden UUIDD-Daemon.

-n, --uuids Anzahl
    erbittet eine Gesamtantwort, bestehend aus der Anzahl UUIDs, wenn eine Testabfrage eines laufenden uuidd ausgegeben wird.

-P, --no-pid
    erzeugt keine PID-Datei (Prozesskennung).

-p, --pid Pfad
    gibt den Pfadnamen an, wohin die PID-Datei geschrieben werden soll. Standardmäßig ist dies {runstatedir}/uuidd/uuidd.pid.

-q, --quiet
    unterdrückt einige Fehlermeldungen.

-r, --random
    testet Uuidd, indem versucht wird, zu einem laufenden Uuidd-Daemon zu verbinden und angefragt wird, eine zufallsbasierte UUIDD zurückzugeben.

-S, --socket-activation
    erzeugt keinen Socket, sondern erwartet, dass dieser vom aufrufenden Prozess bereitgestellt wird. Dies impliziert --no-fork und --no-pid. Diese Option ist ausschließlich zur Verwendung mit systemd(1) gedacht. Sie muss durch eine Configure-Option aktiviert werden.

-s, --socket Pfad
    veranlasst Uuidd, diesen Pfadnamen für den Unix-Domain-Socket zu verwenden. Standardmäßig wird der Pfadname {runstatedir}/uuidd/request verwendet. Diese Option ist primär für Fehlersuchzwecke gedacht, da der Pfadname in der Libuuid-Bibliothek fest kodiert ist.

-T, --timeout Anzahl
    bewirkt, dass uuidd nach der angegebenen Anzahl Sekunden Inaktivität beendet wird.

-t, --time
    testet uuidd, indem versucht wird, zu einem laufenden Uuidd-Daemon zu verbinden und angefragt wird, eine zeitbasierte UUIDD zurückzugeben.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

BEISPIEL

Einen Daemon starten, 42 zufällige Schlüssel ausgeben und den Daemon anschließend beenden:

    uuidd -p /tmp/uuidd.pid -s /tmp/uuidd.socket
    uuidd -d -r -n 42 -s /tmp/uuidd.socket
    uuidd -d -k -s /tmp/uuidd.socket

AUTOR

Der uuidd-Daemon wurde von geschrieben.

SIEHE AUCH

uuid(3), uuidgen(1)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl uuidd ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.